package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 物料信息表
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name="物料信息表对象", description="物料信息表")
public class BaseMaterial {

	@Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@Schema(name = "物料号")
    private String materialCode;

	@Schema(name = "物料名称")
    private String materialName;

	@Schema(name = "物料类型 1-瓶&罐盖 2-成品酒")
    private Integer materialType;

	@Schema(name = "品牌")
    private String brandCode;

	@Schema(name = "描述")
    private String description;

	@Schema(name = "是否有效 0-无效 1-有效")
    private Integer valid;

	@Schema(name = "创建时间")
    private LocalDateTime createTime;

	@Schema(name = "创建人id")
    private Long createBy;

	@Schema(name = "修改时间")
    private LocalDateTime updateTime;

	@Schema(name = "修改人id")
    private Long updateBy;

	@Schema(name = "是否删除")
    private Integer isDelete;



}
