package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 分页查询物料入参
 */
@Data
@Schema
public class ListMaterialReq extends PageReq implements Serializable {

    @Schema(name = "物料号")
    private String materialCode;

    @Schema(name = "物料名称")
    private String materialName;

    @Schema(name = "物料类型 1-瓶&罐盖 2-成品酒")
    private Integer materialType;

    @Schema(name = "品牌")
    private String brandCode;

    @Schema(name = "是否有效 0-无效 1-有效")
    private Integer valid;

}
