package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询物料明细出参
 */
@Data
@Schema
public class GetMaterialRes implements Serializable {

    @Schema(name = "id")
    private Long id;

    @Schema(name = "物料号")
    private String materialCode;

    @Schema(name = "物料名称")
    private String materialName;

    @Schema(name = "物料类型 1-瓶&罐盖 2-成品酒")
    private Integer materialType;

    @Schema(name = "品牌")
    private String brandCode;

    @Schema(name = "主品牌+子品牌2条数据的列表 方便前台展示")
    private List<String> brandCodeList;

    @Schema(name = "描述")
    private String description;

    @Schema(name = "是否有效 0-无效 1-有效")
    private Integer valid;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

}
